Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBasePiePlot

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseChartPlot
          net.sf.jasperreports.charts.base.JRBasePiePlot

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRPiePlot, JRChangeEventsSupport, JRChartPlot, JRCloneable

Direct Known Subclasses:
  JRDesignPiePlot

    public class JRBasePiePlot

extends JRBaseChartPlot
implements JRPiePlot

Version:
  $Id: JRBasePiePlot.java 3948 2010-09-01 12:07:07Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`JRBaseChartPlot.JRBaseSeriesColor`

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`protected java.lang.Boolean` | `circular`
`protected JRItemLabel` | `itemLabel`
`protected java.lang.String` | `labelFormat`
`protected java.lang.String` | `legendLabelFormat`
`static java.lang.String` | `PROPERTY_CIRCULAR`
`static java.lang.String` | `PROPERTY_ITEM_LABEL`
`static java.lang.String` | `PROPERTY_LABEL_FORMAT`
`static java.lang.String` | `PROPERTY_LEGEND_LABEL_FORMAT`
`static java.lang.String` | `PROPERTY_SHOW_LABELS`
`protected java.lang.Boolean` | `showLabels`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientation, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

Constructor Summary
`JRBasePiePlot(JRChartPlot piePlot, JRChart chart)`
`JRBasePiePlot(JRPiePlot piePlot, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone(JRChart parentChart)`
`void` | `collectExpressions(JRExpressionCollector collector)`
`java.lang.Boolean` | `getCircular()`
`JRItemLabel` | `getItemLabel()`
`java.lang.String` | `getLabelFormat()`
`java.lang.String` | `getLegendLabelFormat()`
`java.lang.Boolean` | `getShowLabels()`
`boolean` | `isCircular()` Deprecated. Replaced by `getCircular()`
`void` | `setCircular(boolean isCircular)`
`void` | `setCircular(java.lang.Boolean isCircular)`
`void` | `setItemLabel(JRItemLabel itemLabel)`
`void` | `setLabelFormat(java.lang.String labelFormat)`
`void` | `setLegendLabelFormat(java.lang.String legendLabelFormat)`
`void` | `setShowLabels(java.lang.Boolean showLabels)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_CIRCULAR

    public static final java.lang.String PROPERTY_CIRCULAR

See Also:
  Constant Field Values

### PROPERTY_LABEL_FORMAT

    public static final java.lang.String PROPERTY_LABEL_FORMAT

See Also:
  Constant Field Values

### PROPERTY_LEGEND_LABEL_FORMAT

    public static final java.lang.String PROPERTY_LEGEND_LABEL_FORMAT

See Also:
  Constant Field Values

### PROPERTY_ITEM_LABEL

    public static final java.lang.String PROPERTY_ITEM_LABEL

See Also:
  Constant Field Values

### PROPERTY_SHOW_LABELS

    public static final java.lang.String PROPERTY_SHOW_LABELS

See Also:
  Constant Field Values

### circular

    protected java.lang.Boolean circular

### labelFormat

    protected java.lang.String labelFormat

### legendLabelFormat

    protected java.lang.String legendLabelFormat

### itemLabel

    protected JRItemLabel itemLabel

### showLabels

    protected java.lang.Boolean showLabels

Constructor Detail

### JRBasePiePlot

    public JRBasePiePlot(JRChartPlot piePlot,
                         JRChart chart)

### JRBasePiePlot

    public JRBasePiePlot(JRPiePlot piePlot,
                         JRBaseObjectFactory factory)

Method Detail

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRChartPlot`

### isCircular

    public boolean isCircular()

  Deprecated. Replaced by `getCircular()`

  Specified by:
    `isCircular` in interface `JRPiePlot`

### getCircular

    public java.lang.Boolean getCircular()

  Specified by:
    `getCircular` in interface `JRPiePlot`
  Returns:
    the circular

### setCircular

    public void setCircular(boolean isCircular)

  Parameters:
    `isCircular` - the isCircular to set

### setCircular

    public void setCircular(java.lang.Boolean isCircular)

  Parameters:
    `isCircular` - the isCircular to set

### getLabelFormat

    public java.lang.String getLabelFormat()

  Specified by:
    `getLabelFormat` in interface `JRPiePlot`
  Returns:
    the labelFormat

### setLabelFormat

    public void setLabelFormat(java.lang.String labelFormat)

  Parameters:
    `labelFormat` - the labelFormat to set

### getLegendLabelFormat

    public java.lang.String getLegendLabelFormat()

  Specified by:
    `getLegendLabelFormat` in interface `JRPiePlot`
  Returns:
    the legendLabelFormat

### getItemLabel

    public JRItemLabel getItemLabel()

  Specified by:
    `getItemLabel` in interface `JRPiePlot`

### setLegendLabelFormat

    public void setLegendLabelFormat(java.lang.String legendLabelFormat)

  Parameters:
    `legendLabelFormat` - the legendLabelFormat to set

### setItemLabel

    public void setItemLabel(JRItemLabel itemLabel)

  Parameters:
    `itemLabel` - the itemLabel to set

### getShowLabels

    public java.lang.Boolean getShowLabels()

  Specified by:
    `getShowLabels` in interface `JRPiePlot`

### setShowLabels

    public void setShowLabels(java.lang.Boolean showLabels)

### clone

    public java.lang.Object clone(JRChart parentChart)

  Specified by:
    `clone` in interface `JRChartPlot`
  Overrides:
    `clone` in class `JRBaseChartPlot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com